Last Comment Bug 757488 - DomTemplate fails when it gets a live NodeList
: DomTemplate fails when it gets a live NodeList
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 09:27 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-05-30 19:32 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Upload 1 (1.61 KB, patch)
2012-05-22 13:52 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Splinter Review
Upload 2 (2.12 KB, patch)
2012-05-29 03:42 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Splinter Review
Upload 3 (2.50 KB, patch)
2012-05-29 09:04 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-22 09:27:50 PDT
clone before import or nodelist.length will shrink and your loop will fail.
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-22 13:52:28 PDT
Created attachment 626168 [details] [diff] [review]
Upload 1

a.k.a https://github.com/campd/gcli/pull/40
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-23 02:01:31 PDT
https://tbpl.mozilla.org/?tree=Try&rev=ff9aee3c9f35
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-29 03:42:09 PDT
Extra commit to fix memory leak:
https://github.com/campd/gcli/pull/46
Comment 4 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-29 03:42:38 PDT
Created attachment 627897 [details] [diff] [review]
Upload 2
Comment 5 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-29 09:04:01 PDT
Created attachment 627982 [details] [diff] [review]
Upload 3
Comment 6 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-29 11:31:43 PDT
https://tbpl.mozilla.org/?tree=Try&rev=77f745e77098
Comment 7 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-30 01:05:31 PDT
https://tbpl.mozilla.org/?tree=Fx-Team&rev=7df3e6796d1f
Comment 8 Dave Camp (:dcamp) 2012-05-30 19:32:16 PDT
https://hg.mozilla.org/mozilla-central/rev/9f38c6dc2d2c

Note You need to log in before you can comment on or make changes to this bug.